function [env_param] = track2env_param(true_track,scale,scale_pix)
% This function takes in a 2xnum_steps array of x and y coordinates.
% It returns an environment size and other parameters 
% that fit the true_track
 tt_min = min(true_track,[],2);
 tt_max = max(true_track,[],2);
 
 env_param.x_range = scale*(tt_max(1) - tt_min(1));
 env_param.y_range = scale*(tt_max(2) - tt_min(2));
 env_param.y_range = max([env_param.y_range env_param.x_range]);
 env_param.x_range = env_param.y_range;
 
 env_param.origin  = mean(true_track(1:2,:),2);
 env_param.num_pix = max(size(true_track))*scale_pix;
 env_param.res_xy  = env_param.x_range/env_param.num_pix;
 
 env_param.image_out = xy2image(true_track(1:2,:),env_param);

end