function [detect_out] = cfar_ca_filt(param_struct, input_data)
% Fast Implementation of Cell Averaging CFAR
in_dim = size(input_data);

train_filt_1d = [ones(param_struct.num_train,1);zeros(param_struct.num_guard,1);...
                    0;...
                zeros(param_struct.num_guard,1);ones(param_struct.num_train,1)...
                ]/(2*param_struct.num_train);
            
detect_in = [input_data;zeros(param_struct.num_train+param_struct.num_guard,in_dim(2))];

train_filt_out = filter(train_filt_1d,1,detect_in,...
            zeros(2*(param_struct.num_train+param_struct.num_guard),1));
train_filt_out = train_filt_out((param_struct.num_train+param_struct.num_guard+1):end,:);


% plot(input_data);hold on;plot(train_filt_out);hold off;
        
truth_detect = (input_data > (param_struct.thresh.*train_filt_out));
input_data(truth_detect) = 1;
input_data(~truth_detect) = 0;

detect_out = input_data;
end


