function [ptcloud_new,cart_row,cart_col] = img2pcloud(cart_img_filt,cart_pixel_size,param)

    [cart_row,cart_col] = ind2sub(size(cart_img_filt),find(cart_img_filt));
    
    cart_pc_mat = [floor(cart_pixel_size/2)-cart_row,...
                cart_col-floor(cart_pixel_size/2),...
                zeros(length(cart_row),1)];
    ptcloud_new_bdn = pointCloud(cart_pc_mat);
    
    if nargin < 3
        ptcloud_new = ptcloud_new_bdn;
    else
        % Denoising
        ptcloud_new = pcdenoise(ptcloud_new_bdn,'Threshold',param.dn_thresh,...
                                                'NumNeighbors',param.dn_nn);
        % Downsampling
        ptcloud_new = pcdownsample(ptcloud_new,param.ds_type,param.ds_arg);
    end
    
end