function [tform,tformpcloud,rmse] = scan_match_helper(ptcloud_old,ptcloud_new,scan_match_param)
    
    switch scan_match_param.scan_match_flag
        case 0
            % ICP
            [tform,tformpcloud,rmse] = pcregistericp(ptcloud_old,ptcloud_new,...
                                        'Extrapolate',scan_match_param.extrapolate,...
                                        'MaxIterations',scan_match_param.max_iter,...
                                        'InlierRatio',scan_match_param.inlier_ratio,...
                                        'Metric',scan_match_param.metric,...
                                        'Tolerance',scan_match_param.tolerance,...
                                        'Verbose',false);
        case 1
            % NDT
            [tform,tformpcloud,rmse] = pcregisterndt(ptcloud_old,ptcloud_new,...
                                        scan_match_param.grid_step,...
                                        'MaxIterations',scan_match_param.max_iter,...
                                        'OutlierRatio',scan_match_param.outlier_ratio,...
                                        'Tolerance',scan_match_param.tolerance,...
                                        'Verbose',false);

        case 2
            % CPD
            [tform,tformpcloud,rmse] = pcregistercpd(ptcloud_old,ptcloud_new,...
                                        'Transform',scan_match_param.Transform,...
                                        'MaxIterations',scan_match_param.max_iter,...
                                        'OutlierRatio',scan_match_param.outlier_ratio,...
                                        'Tolerance',scan_match_param.tolerance,...
                                        'Verbose',false);
        case 3
            % PDA Based (Slow)
            [tform,tformpcloud,rmse] = pcregisterpda(ptcloud_old,ptcloud_new,...
                                                    scan_match_param);
        otherwise
            error('Scan Match algorithm not supported!')
    end


end